/* COLOURS */
:root {
  --blue: #16a8ff;
  --dark-grey: #b4b4b4;
  --grey: #f0f0f0;

  --base-font-size: 4vw;
  --border-radius: 30px;
}

html,
body {
  margin: 0;
  height: 100%;
  overflow: hidden
}

body {
  font-family: "Playfair Display", sans-serif;
  font-size: var(--base-font-size);
  color: black;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  min-height: 100vh;
  margin: 0;
}

#top-bar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  /* background-color: #f0f0f0; */
  padding: 40px;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 1;
  text-align: center;
}

#top-bar h1,
#distance,
#address {
  margin: 0;
}


#destination--address {
  font-family: Roboto, sans-serif;
  font-size: 1em;
  margin-top: 20px;
}

#distance--container {
  font-family: Roboto, sans-serif;
  font-size: 1em;
  margin-top: -180px;
  margin-bottom: 10px;
  display: flex;
  align-items: center;
}

#distance--container.hidden {
  opacity: 0;
}

.distance--element:not(:first-child)::before {
  content: '\00a0\00a0|\00a0\00a0';
  /* position: absolute; */
  left: -10px;
  /* Adjust position of the separator */
}



#compass {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 500px;
  height: 500px;
  border-radius: 50%;
  overflow: hidden;
  border: 2px solid var(--blue);
  border-radius: 49% 49% 50% 51%/49% 49% 51% 52%;
  background-image: url(data:image/png;base64,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),
    radial-gradient(ellipse at top,
      rgba(33, 190, 255, 1) 0%,
      rgba(1, 157, 255, 1) 67%,
      rgba(0, 125, 229, 1) 97%,
      rgba(1, 141, 242, 1) 99%,
      rgba(0, 122, 226, 1) 100%);
  z-index: 1;
  /* display: none; */
  opacity: 1;
  /* animation: breathing 4s ease-in-out infinite; */
  /* -webkit-animation: breathing 4s ease-in-out infinite; */
}

#compass.outline {
  /* background: none; */
}

#needle {
  width: 100%;
  height: 100%;
  transform: rotate(0deg);
  box-sizing: border-box;
  z-index: 2;
  /* display: none; */
}

#needleCircle {
  width: 35px;
  height: 35px;
  position: absolute;
  top: 0;
  left: 50%;
  background: white;
  border: solid grey 0px;
  transform: translateX(-50%);
  border-radius: 25px;
  z-index: 3;
  opacity: 0;
  transition: opacity ease-in-out 1s;
}

#allow-permissions {
  font-size: 1.2em;
  text-align: center;
  left: 50%;
  top: 50%;
  position: absolute;
  transform: translate(-50%, -50%);
  z-index: 4;
  background: white;
  color: var(--blue) !important;
  padding: 30px 60px;
  border-radius: var(--border-radius);
  border: none;
  transition: opacity ease-in-out 1s;
}

/*//////////////////////////////////////////////////////////////////
/ -------------- BOTTOM OF SCREEN (HOME) ------------------------- /
//////////////////////////////////////////////////////////////////*/


.logo--blue {
  color: var(--blue);
}

.hidden {
  display: none;
}